View Issue Details

IDProjectCategoryView StatusLast Update
0003134unrealircdpublic2013-05-20 09:33
ReportersyzopAssigned Tonenolod 
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSALLOS VersionALL
Product Version3.3-alpha0 
Target VersionFixed in Version3.4-alpha1 
Summary0003134: Automatic suffix on loadmodule
DescriptionInstead of:
loadmodule "modules/blah.dll";
it should become:
loadmodule "modules/blah";
(it will add .dll for windows, and .so for *NIX, etc)

Additionally, let the make process add a symlink called 'modules' pointing to 'src/modules', so we can make it all loadmodule "modules/etcc" instead of src/modules for half of the *NIX installs (not all..), and modules/ for win32 :P

Additional InformationEasy to do, but useful and will make it easier for users switching between installation type's (and OS's). Additionally, it looks nicer as well (mainly the all-will-have 'modules/' thing)
TagsNo tags attached.
3rd party modules

Relationships

has duplicate 0004005 resolvednenolod make unrealircd.conf more universal for all OS. 

Activities

nenolod

2013-05-20 09:33

reporter   ~0017618

This is done.

Issue History

Date Modified Username Field Change
2006-12-04 14:20 syzop New Issue
2006-12-04 14:21 syzop Additional Information Updated
2006-12-04 14:22 syzop Additional Information Updated
2007-04-19 03:09 stskeeps Status new => acknowledged
2007-04-19 03:09 stskeeps View Status private => public
2010-07-14 17:49 syzop QA => Not touched yet by developer
2010-07-14 17:49 syzop U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-14 17:49 syzop U4: Upstream notification of bug => Not decided
2010-07-14 17:49 syzop U4: Contributor working on this => None
2010-07-14 17:49 syzop Severity minor => feature
2013-05-06 06:20 nenolod Relationship added has duplicate 0004005
2013-05-20 09:33 nenolod Note Added: 0017618
2013-05-20 09:33 nenolod Status acknowledged => resolved
2013-05-20 09:33 nenolod Fixed in Version => 3.4-alpha1
2013-05-20 09:33 nenolod Resolution open => fixed
2013-05-20 09:33 nenolod Assigned To => nenolod